| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Enumerations
tune_request.h File Reference
`#include <uhd/config.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
struct | uhd_tune_request_t
| Instructs implementation how to tune the RF chain. More...

## Enumerations
enum | uhd_tune_request_policy_t { UHD_TUNE_REQUEST_POLICY_NONE = 78 , UHD_TUNE_REQUEST_POLICY_AUTO = 65 , UHD_TUNE_REQUEST_POLICY_MANUAL = 77 }
| Policy options for tunable elements in the RF chain. More...

## Enumeration Type Documentation

## ◆ uhd_tune_request_policy_t

enum uhd_tune_request_policy_t

Policy options for tunable elements in the RF chain.

Enumerator
UHD_TUNE_REQUEST_POLICY_NONE | Do not set this argument, use current setting.
UHD_TUNE_REQUEST_POLICY_AUTO | Automatically determine the argument's value.
UHD_TUNE_REQUEST_POLICY_MANUAL | Use the argument's value for the setting.